; -----------------------------------------------------------------------------
; __          ___       ____ ___
; \ \        / (_)     |___ \__ \   RetroForth for Windows
;  \ \  /\  / / _ _ __   __) | ) |  http://www.retroforth.org
;   \ \/  \/ / | | '_ \ |__ < / /
;    \  /\  /  | | | | |___) / /_
;     \/  \/   |_|_| |_|____/____|
; -----------------------------------------------------------------------------

format PE GUI 4.0
stack 16000
entry start

include "rf.inc"
include "windows-include/win32a.inc"

section ".code" code readable writeable executable
;---------------------------------------------------------------------
start:
	invoke AllocConsole
	invoke RF_Attach
	invoke RF_Init
	invoke RF_Interpreter
	invoke ExitProcess, 0

section '.idata' import data readable writeable
  library kernel,'KERNEL32.DLL',\
	  rforth,'RF.DLL'

  import kernel,\
	AllocConsole,'AllocConsole',\
	ExitProcess,'ExitProcess'
  import rforth,\
	RF_Attach, 'retroforth_attach',\
	RF_Init,'retroforth_init',\
	RF_Eval,'retroforth_eval',\
	RF_Interpreter,'retroforth_interpreter'
;---------------------------------------------------------------------
